include("../scripts/ai/tpl/generic.lua")

-- Settings.
aggressive      = true
safe_distance   = 300
armour_run      = 100
shield_return   = 20
land_planet     = false

function create()
  ai.setcredits(ai.shipprice()/1000, ai.shipprice()/100)
  attack_choose()
end

function taunt(target, offence)
  -- Only 50% of actual taunting.
  if rnd.int(0, 1) == 0 then
    return
  end

  -- Taunt.
  if offence then
    taunts = {
      "For the Frontiier!",
      "You'll make great target practice!",
      "Purge the oppressors!"
    } else
    taunts = {
      "You are no match for the DLF!",
      "I've killed scum much more dangerous than you!"
    }
  end

  ai.comm(target, taunts[rnd.int(1, #taunts)])
end

